Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## glassfrog.players
Class RandomLimitPlayer

    java.lang.Object
      glassfrog.players.Player
          glassfrog.players.RandomPlayer
              glassfrog.players.RandomLimitPlayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Player>

    public class RandomLimitPlayer

extends RandomPlayer

The RandomLimitPlayer is an extention on the RandomPlayer. It will choose random actions {f,c,r} based on uniform distribution or a wieghted one. A seed can also be specified to get repeatable performance from the rng

Author:
  jdavidso
See Also:
  Serialized Form

Field Summary

Fields inherited from class glassfrog.players.RandomPlayer
`callWeight, foldWeight, raiseWeight, rng`

Constructor Summary
`RandomLimitPlayer(java.lang.String name, int buyIn)` Constructor for a general purpose Random Limit player (random seed, uniform actions)
`RandomLimitPlayer(java.lang.String name, int buyIn, int seed)` Constructor for a Random Limit Player with a seed
`RandomLimitPlayer(java.lang.String name, int buyIn, java.lang.String weights)` Constructor for a Random Limit Player with weighted values for the actions

Method Summary
`java.lang.String` | `getAction()` Return a Random action from either Fold Call or Raise based on the wieghting array given
`java.lang.String` | `toString()` Append RandomLimit identifier to the @Player toString method

Methods inherited from class glassfrog.players.RandomPlayer
`shutdown, update`

Methods inherited from class glassfrog.players.Player
`addToScore, bet, call, compareTo, fold, getBuyIn, getCardString, getCurrentBet, getHandRank, getHandString, getName, getPosition, getScore, getSeat, getStack, getTotalCommitedToPot, initTimeout, isAAAIPlayer, isActed, isAllIn, isFolded, isGuiPlayer, isSocketPlayer, payout, postBlind, resetHand, resetPlayer, resetRound, resetStack, setBuyIn, setCardString, setHandRank, setHandString, setName, setPosition, setScore, setSeat, setStack, subtractTotalCommitedToPot, toShortString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RandomLimitPlayer

    public RandomLimitPlayer(java.lang.String name,
                             int buyIn,
                             int seed)

  Constructor for a Random Limit Player with a seed

  Parameters:
    `name` - String representing the player name
    `buyIn` - int representing the buy in amount
    `seed` - an int to seed the rng

### RandomLimitPlayer

    public RandomLimitPlayer(java.lang.String name,
                             int buyIn,
                             java.lang.String weights)

  Constructor for a Random Limit Player with weighted values for the actions

  Parameters:
    `name` - String representing the player name
    `buyIn` - int representing the buy in amount
    `weights` - A String representing the f,c,r weights ("1,1,1") being uniform

### RandomLimitPlayer

    public RandomLimitPlayer(java.lang.String name,
                             int buyIn)

  Constructor for a general purpose Random Limit player (random seed, uniform actions)

  Parameters:
    `name` - String representing the player name
    `buyIn` - int representing the buy in amount

Method Detail

### getAction

    public java.lang.String getAction()

  Return a Random action from either Fold Call or Raise based on the wieghting array given

  Specified by:
    `getAction` in class `Player`
  Returns:
    An action of Fold Call or Raise {f,c,r}

### toString

    public java.lang.String toString()

  Append RandomLimit identifier to the @Player toString method

  Overrides:
    `toString` in class `Player`
  Returns:
    "RandomLimit"+the @Player toString method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD